MWAWStringStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
MWAWStringStream Class Reference

internal class used to create a RVNGInputStream from a unsigned char's pointer More...

`#include <MWAWStringStream.hxx>`

Inheritance diagram for MWAWStringStream:

## Public Member Functions
| MWAWStringStream (const unsigned char *data, const unsigned int dataSize)
| constructor More...
| ~MWAWStringStream ()
| destructor More...
void | append (const unsigned char *data, const unsigned int dataSize)
| append some data at the end of the string More...
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
| ! reads numbytes data. More...
long | tell ()
| returns actual offset position More...
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
| seeks to a offset position, from actual, beginning or ending position More...
bool | isEnd ()
| returns true if we are at the end of the section/file More...
bool | isStructured ()
| returns true if the stream is ole More...
unsigned | subStreamCount ()
| returns the number of sub streams. More...
const char * | subStreamName (unsigned)
| returns the ith sub streams name More...
bool | existsSubStream (const char *name)
| returns true if a substream with name exists More...
librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
| return a new stream for a ole zone More...
librevenge::RVNGInputStream * | getSubStreamById (unsigned)
| return a new stream for a ole zone More...

## Private Member Functions
| MWAWStringStream (const MWAWStringStream &)
MWAWStringStream & | operator= (const MWAWStringStream &)

## Private Attributes
MWAWStringStreamPrivate * | m_data
| the string stream data More...

## Detailed Description

internal class used to create a RVNGInputStream from a unsigned char's pointer

Note
  this class (highly inspired from librevenge) does not implement the isStructured's protocol, ie. it only returns false.

## Constructor & Destructor Documentation

MWAWStringStream::MWAWStringStream | ( | const unsigned char * | data,
|  | const unsigned int | dataSize
| ) |  |

constructor

MWAWStringStream::~MWAWStringStream | ( |  | ) |

destructor

MWAWStringStream::MWAWStringStream | ( | const MWAWStringStream & |  | ) |
| private

## Member Function Documentation

void MWAWStringStream::append | ( | const unsigned char * | data,
|  | const unsigned int | dataSize
| ) |  |

append some data at the end of the string

bool MWAWStringStream::existsSubStream | ( | const char * | name | ) |

returns true if a substream with name exists

See also
  returns always false

librevenge::RVNGInputStream * MWAWStringStream::getSubStreamById | ( | unsigned |  | ) |

return a new stream for a ole zone

See also
  returns always 0

librevenge::RVNGInputStream * MWAWStringStream::getSubStreamByName | ( | const char * | name | ) |

return a new stream for a ole zone

See also
  returns always 0

bool MWAWStringStream::isEnd | ( |  | ) |

returns true if we are at the end of the section/file

bool MWAWStringStream::isStructured | ( |  | ) |

returns true if the stream is ole

See also
  returns always false

MWAWStringStream& MWAWStringStream::operator= | ( | const MWAWStringStream & |  | ) |
| private

const unsigned char * MWAWStringStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

! reads numbytes data.

Returns
  a pointer to the read elements

int MWAWStringStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

seeks to a offset position, from actual, beginning or ending position

Returns
  0 if ok

unsigned MWAWStringStream::subStreamCount | ( |  | ) |

returns the number of sub streams.

See also
  returns always 0

const char * MWAWStringStream::subStreamName | ( | unsigned |  | ) |

returns the ith sub streams name

See also
  returns always 0

long MWAWStringStream::tell | ( |  | ) |

returns actual offset position

## Member Data Documentation

MWAWStringStreamPrivate* MWAWStringStream::m_data
| private

the string stream data

Referenced by append(), isEnd(), read(), seek(), tell(), and ~MWAWStringStream().

The documentation for this class was generated from the following files:

- MWAWStringStream.hxx
- MWAWStringStream.cxx